org.apache.hadoop.tracing

## Class TraceAdminPB.TraceAdminService.Stub

- java.lang.Object
- - org.apache.hadoop.tracing.TraceAdminPB.TraceAdminService
  - - org.apache.hadoop.tracing.TraceAdminPB.TraceAdminService.Stub

- All Implemented Interfaces:
    com.google.protobuf.Service, TraceAdminPB.TraceAdminService.Interface
  Enclosing class:
    TraceAdminPB.TraceAdminService

      public static final class TraceAdminPB.TraceAdminService.Stub
      extends TraceAdminPB.TraceAdminService
      implements TraceAdminPB.TraceAdminService.Interface

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.tracing.TraceAdminPB.TraceAdminService

      `TraceAdminPB.TraceAdminService.BlockingInterface, TraceAdminPB.TraceAdminService.Interface, TraceAdminPB.TraceAdminService.Stub`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSpanReceiver(com.google.protobuf.RpcController controller, TraceAdminPB.AddSpanReceiverRequestProto request, com.google.protobuf.RpcCallback<TraceAdminPB.AddSpanReceiverResponseProto> done)` `rpc addSpanReceiver(.hadoop.common.AddSpanReceiverRequestProto) returns (.hadoop.common.AddSpanReceiverResponseProto);`
    `com.google.protobuf.RpcChannel` | `getChannel()`
    `void` | `listSpanReceivers(com.google.protobuf.RpcController controller, TraceAdminPB.ListSpanReceiversRequestProto request, com.google.protobuf.RpcCallback<TraceAdminPB.ListSpanReceiversResponseProto> done)` `rpc listSpanReceivers(.hadoop.common.ListSpanReceiversRequestProto) returns (.hadoop.common.ListSpanReceiversResponseProto);`
    `void` | `removeSpanReceiver(com.google.protobuf.RpcController controller, TraceAdminPB.RemoveSpanReceiverRequestProto request, com.google.protobuf.RpcCallback<TraceAdminPB.RemoveSpanReceiverResponseProto> done)` `rpc removeSpanReceiver(.hadoop.common.RemoveSpanReceiverRequestProto) returns (.hadoop.common.RemoveSpanReceiverResponseProto);`

    - ### Methods inherited from class org.apache.hadoop.tracing.TraceAdminPB.TraceAdminService

      `callMethod, getDescriptor, getDescriptorForType, getRequestPrototype, getResponsePrototype, newBlockingStub, newReflectiveBlockingService, newReflectiveService, newStub`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getChannel

          public com.google.protobuf.RpcChannel getChannel()

    - #### listSpanReceivers

          public void listSpanReceivers(com.google.protobuf.RpcController controller,
                                        TraceAdminPB.ListSpanReceiversRequestProto request,
                                        com.google.protobuf.RpcCallback<TraceAdminPB.ListSpanReceiversResponseProto> done)

      Description copied from class: `TraceAdminPB.TraceAdminService`
      `rpc listSpanReceivers(.hadoop.common.ListSpanReceiversRequestProto) returns (.hadoop.common.ListSpanReceiversResponseProto);`
      Specified by:
        `listSpanReceivers` in interface `TraceAdminPB.TraceAdminService.Interface`
      Specified by:
        `listSpanReceivers` in class `TraceAdminPB.TraceAdminService`

    - #### addSpanReceiver

          public void addSpanReceiver(com.google.protobuf.RpcController controller,
                                      TraceAdminPB.AddSpanReceiverRequestProto request,
                                      com.google.protobuf.RpcCallback<TraceAdminPB.AddSpanReceiverResponseProto> done)

      Description copied from class: `TraceAdminPB.TraceAdminService`
      `rpc addSpanReceiver(.hadoop.common.AddSpanReceiverRequestProto) returns (.hadoop.common.AddSpanReceiverResponseProto);`
      Specified by:
        `addSpanReceiver` in interface `TraceAdminPB.TraceAdminService.Interface`
      Specified by:
        `addSpanReceiver` in class `TraceAdminPB.TraceAdminService`

    - #### removeSpanReceiver

          public void removeSpanReceiver(com.google.protobuf.RpcController controller,
                                         TraceAdminPB.RemoveSpanReceiverRequestProto request,
                                         com.google.protobuf.RpcCallback<TraceAdminPB.RemoveSpanReceiverResponseProto> done)

      Description copied from class: `TraceAdminPB.TraceAdminService`
      `rpc removeSpanReceiver(.hadoop.common.RemoveSpanReceiverRequestProto) returns (.hadoop.common.RemoveSpanReceiverResponseProto);`
      Specified by:
        `removeSpanReceiver` in interface `TraceAdminPB.TraceAdminService.Interface`
      Specified by:
        `removeSpanReceiver` in class `TraceAdminPB.TraceAdminService`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.